%define module_name	ipset
%define module_version	6.19
%define module_release	alt1

%define flavour		std-pae
BuildRequires(pre): kernel-headers-modules-std-pae
%setup_kernel_module %flavour

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: ipset kernel modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.%kcode.%kbuildrelease
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch0: kernel-source-ipset-6.19-alt-build.patch

ExclusiveOS: Linux
Url: http://ipset.netfilter.org/
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kepoch%kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: kernel-image-%flavour = %kepoch%kversion-%krelease
ExclusiveArch: %karch

%description
ipset kernel modules.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%patch -p1

%build
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=`pwd`/net/netfilter IP_NF_SET_MAX=256 IP_SET_MAX=256 IP_NF_SET_HASHSIZE=1024

%install
install -d %buildroot%module_dir
install -p -m644 net/netfilter/ipset/*.ko %buildroot%module_dir
install -p -m644 net/netfilter/*.ko %buildroot%module_dir


%files
%defattr(644,root,root,755)
%module_dir

%changelog
* %(date "+%%a %%b %%d %%Y") %{?package_signer:%package_signer}%{!?package_signer:%packager} %version-%release
- Build for kernel-image-%flavour-%kversion-%krelease.

* Fri Jun 28 2013 Anton V. Boyarshinov <boyarsh@altlinux.org> 6.19-alt1
- new version

* Fri Jan 18 2013 Gleb F-Malinovskiy <glebfm@altlinux.org> 6.9.1-alt3
- fix build with 3.0.59 kernel

* Mon Dec 17 2012 Gleb F-Malinovskiy <glebfm@altlinux.org> 6.9.1-alt2
- new template

* Mon Sep 19 2011 Anton Protopopov <aspsk@altlinux.org> 6.9.1-alt1
- Update to 6.9.1

* Fri Sep 09 2011 Anton Protopopov <aspsk@altlinux.org> 4.4-alt4.M60P.1
- Increase release number

* Fri Sep 09 2011 Anton Protopopov <aspsk@altlinux.org> 4.4-alt2.M60P.1
- Build in branch

* Thu Dec 09 2010 Anton Protopopov <aspsk@altlinux.org> 4.4-alt3
- technical

* Thu Dec 09 2010 Anton Protopopov <aspsk@altlinux.org> 4.4-alt2
- technical

* Wed Oct 13 2010 Anton Farygin <rider@altlinux.ru> 4.4-alt1
- new version

* Mon Sep 27 2010 Anton Farygin <rider@altlinux.ru> 4.3-alt1
- new version

* Mon Jan 25 2010 Anton Farygin <rider@altlinux.ru> 4.1-alt1
- fisrt build for Sisyphus, specfile from Igor Zubkov
